### Function Macro

# Template CHECK_VERSION

#### Declaration

    #define TMPL_CHECK_VERSION (
      major,
      minor,
      micro
    )

#### Description

Compile-time version checking. Evaluates to `TRUE` if the version of template-glib is greater than the required one.

This function is not directly available to language bindings.

#### Parameters

`major`

  Type: `-`

  Required major version.

`minor`

  Type: `-`

  Required minor version.

`micro`

  Type: `-`

  Required micro version.